BASEC = BASic Emulation Compiler by William Yu (c)1998
CC    = gcc
FLAGS = -s -Wall

all: about ansi bec

about:
	@echo $(BASEC)
	@echo

ansi: ansi.c
	$(CC) $(FLAGS) ansi.c -o ansi.exe -lm
	@copy ansi.exe ansi.lib
	@del ansi.exe

bec: bec.c
	$(CC) $(FLAGS) bec.c -o bec.exe

dos: dos.c doslib.c
	$(CC) $(FLAGS) dos.c doslib.c -o dos.exe -lm
	@copy dos.exe dos.lib
	@del dos.exe

graphics: graphics.c graphlib.c doslib.c
	$(CC) $(FLAGS) graphics.c graphlib.c doslib.c -o graphics.exe libjpeg.a -lalleg -lm
	@copy graphics.exe graphics.lib
	@del graphics.exe